Bug 440350 - Dogtag stop/start scripts should be chkconfig aware
Dogtag stop/start scripts should be chkconfig aware
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Execution Management (start/stop/restart) (Show other bugs)
1.0
All Linux
high Severity low
: 1.0
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 440164 443788 489064
  Show dependency treegraph
 
Reported: 2008-04-02 20:01 EDT by Kevin Unthank
Modified: 2015-01-04 18:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Base diffs (21.17 KB, patch)
2009-03-06 19:09 EST, Matthew Harmsen
no flags Details | Diff
Dogtag diffs (6.68 KB, patch)
2009-03-06 19:10 EST, Matthew Harmsen
no flags Details | Diff
Removal of "rhgb-console" and "kill script" creation/deletion (12.37 KB, patch)
2009-03-10 14:58 EDT, Matthew Harmsen
no flags Details | Diff
Removal of "rhgb-console" and "kill script" creation/deletion (spec files) (6.63 KB, patch)
2009-03-10 14:59 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Kevin Unthank 2008-04-02 20:01:01 EDT
Description of problem:

Dogtag stop/start scripts should be chkconfig aware

Version-Release number of selected component (if applicable):
1.0

How reproducible:
on a freshly installed dogtag system 
 /sbin/chkconfig --list
should list the available stop/start scripts
but it doesn't

I expect most users would want whatever dogtag components that have 
been installed, to automatically start at boot by default
Comment 1 Matthew Harmsen 2008-04-03 13:46:52 EDT
One concern here is that the order in which the servers are started is relevant.
 For example, directory server MUST be started prior to Certificate System
subsystems.
Comment 2 Matthew Harmsen 2008-04-11 17:30:26 EDT
Another concern is that the system is not required to contain a directory server
(e. g. - the directory server may be provided by the network).
Comment 4 Matthew Harmsen 2009-03-06 19:09:57 EST
Created attachment 334368 [details]
Base diffs
Comment 5 Matthew Harmsen 2009-03-06 19:10:22 EST
Created attachment 334369 [details]
Dogtag diffs
Comment 6 Jack Magne 2009-03-06 20:17:02 EST
Attachments (id=334369,334368) +jmagne
Comment 7 Matthew Harmsen 2009-03-06 20:35:03 EST
% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      dogtag/ca/pki-ca.spec
M      dogtag/setup/pki-setup.spec
M      dogtag/tks/pki-tks.spec
M      dogtag/ra/pki-ra.spec
M      dogtag/ocsp/pki-ocsp.spec
M      dogtag/tps/pki-tps.spec
M      dogtag/kra/pki-kra.spec
M      base/ca/shared/etc/init.d/httpd
M      base/setup/pkiremove
M      base/setup/pkicreate
M      base/setup/pkicommon
M      base/tks/shared/etc/init.d/httpd
M      base/ra/etc/init.d/httpd
M      base/ocsp/shared/etc/init.d/httpd
M      base/tps/etc/init.d/httpd
M      base/kra/shared/etc/init.d/httpd

% svn commit
Sending        base/ca/shared/etc/init.d/httpd
Sending        base/kra/shared/etc/init.d/httpd
Sending        base/ocsp/shared/etc/init.d/httpd
Sending        base/ra/etc/init.d/httpd
Sending        base/setup/pkicommon
Sending        base/setup/pkicreate
Sending        base/setup/pkiremove
Sending        base/tks/shared/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/setup/pki-setup.spec
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ................
Committed revision 289.
Comment 8 Matthew Harmsen 2009-03-10 14:58:34 EDT
Created attachment 334699 [details]
Removal of "rhgb-console" and "kill script" creation/deletion
Comment 9 Matthew Harmsen 2009-03-10 14:59:12 EDT
Created attachment 334700 [details]
Removal of "rhgb-console" and "kill script" creation/deletion (spec files)
Comment 10 Jack Magne 2009-03-10 15:15:09 EDT
Attachments (id=334699,id=334700) +jmagne.
Comment 11 Matthew Harmsen 2009-03-10 15:23:16 EDT
cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/shared/etc/init.d/httpd
M      setup/pkiremove
M      setup/pkicreate
M      setup/pkicommon
M      tks/shared/etc/init.d/httpd
M      ra/etc/init.d/httpd
M      ocsp/shared/etc/init.d/httpd
M      tps/etc/init.d/httpd
M      kra/shared/etc/init.d/httpd

% svn commit
Sending        base/ca/shared/etc/init.d/httpd
Sending        base/kra/shared/etc/init.d/httpd
Sending        base/ocsp/shared/etc/init.d/httpd
Sending        base/ra/etc/init.d/httpd
Sending        base/setup/pkicommon
Sending        base/setup/pkicreate
Sending        base/setup/pkiremove
Sending        base/tks/shared/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Transmitting file data .........
Committed revision 292.

cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/pki-ca.spec
M      setup/pki-setup.spec
M      tks/pki-tks.spec
M      ra/pki-ra.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
M      kra/pki-kra.spec

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/setup/pki-setup.spec
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data .......
Committed revision 293.

Note You need to log in before you can comment on or make changes to this bug.